# TODO: switch to uniworx registry debian image
FROM debian:12.5

RUN apt-get -y update

RUN apt-get -y install haskell-stack git
RUN apt-get -y install alex g++ happy libghc-zlib-dev libpq-dev

WORKDIR /fradrive

ENV HOME=/fradrive
# ENV STACK_ROOT=/fradrive/.stack
ENV LANG=en_US.UTF-8

ENV FRADRIVE_MAKE_TARGET=backend-build
ENTRYPOINT make -- ${FRADRIVE_MAKE_TARGET}